<?php

class rdc_wc_eclairage extends hook
{
	public $hookName = "rdc_wc_eclairage";

	protected $devicelist = array(RDC_SDB_WC_ECLAIRAGE => array("state_l2", false));

	public $delay = 3;				// amount of time in $timeunit
	public $delayManual = 8;		// amount of time in $timeunit for manual mode
	public $timeUnit = "minute";	// unit of time for delay, second, minute, day, week, month, year

	// callback fonction. Is called with these 4 parameters
	public function callBack(&$device, $property, $value)
	{
		global $devices, $indexDevices;
		//var_dump($value);
		switch($property)
		{
			case "state_l2":
				if ($value == "ON")
				{
					setDelay($device, $this->delayManual, $this->timeUnit, "state_l2", "OFF", true);
					$device->method = MANUAL;
				}elseif ($value = "OFF")
				{
					deleteEvent(searchEvent($device, "state_l2", "OFF"));
				}
				break;
		}
		logger (INFO, sprintf(_("%s: notification received from MQTT from %s => parameter: %s value: %s"), $this->hookName, $device->friendlyName, $property, $value), __FILE__ . ":" . __LINE__);
	}
}

$hooks["rdc_wc_eclairage"] = new rdc_wc_eclairage();
?>
